
# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Summary: KDE Photo Album 
Name:	 kphotoalbum
Version: 5.1
Release: 1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License: (GPLv2 or GPLv3) and GFDL

URL:	 http://kphotoalbum.org/
Source0: http://download.kde.org/stable/kphotoalbum/%{version}/kphotoalbum-%{version}.tar.xz

## upstream patches (lookaside cache)
Patch1: 0001-Declare-version.h-as-generated-file.patch
Patch3: 0003-Fix-remove-tokens-dialog.patch
Patch4: 0004-Fix-search-dialog.patch
Patch5: 0005-Don-t-show-empty-description-in-InfoBox.patch
Patch6: 0006-Fix-some-issues-in-thumbnail-build-progress-counter.patch
Patch7: 0007-This-hopefully-fixes-the-doubled-year-issue-reported.patch
Patch8: 0008-Review-and-fix-install-directories.patch
Patch9: 0009-Fix-path-of-kphotoalbumui.rc-in-kpa-backup.sh.patch
Patch10: 0010-Add-.arcconfig-for-use-with-phabricator.kde.org.patch
Patch12: 0012-Use-const-iterator-boundaries-with-a-const-iterator.patch
Patch13: 0013-Update-.arcconfig-with-projectname.patch
Patch14: 0014-Review-documentation-database-layout.md.patch
Patch15: 0015-Prevent-invalid-characters-in-image-description.patch
Patch16: 0016-Remove-unused-file-default-layout.xml.patch
Patch17: 0017-Improve-default-layout-for-annotation-dialog.patch
Patch19: 0019-Fix-.kim-import-when-using-external-images.patch
Patch21: 0021-Fix-build-with-fno-operator-names.patch
Patch22: 0022-Some-more-fixes-for-fno-operator-names.patch
Patch23: 0023-More-fixes-for-fno-operator-names.patch
Patch24: 0024-And-more-of-the-same.patch
Patch25: 0025-Maintain-compatiblity-with-Qt-5.5.patch
Patch26: 0026-More-fixes-for-fno-operator-names.patch
Patch27: 0027-Don-t-assume-m_nameMap-is-non-empty.patch
Patch28: 0028-Keep-compatibility-with-Qt-5.6.patch
Patch29: 0029-Command-line-option-to-search-on-startup.patch
Patch30: 0030-Fix-typo.patch
Patch32: 0032-Fix-renaming-and-deletion-of-memberMap-members.patch

## upstreamable patches
# disable mention of mplayer (which we can't ship), and needless scary warnings
Patch100: kphotoalbum-5.1-mplayer.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libappstream-glib
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(exiv2)

BuildRequires: cmake(Qt5Network)
BuildRequires: cmake(Qt5Sql)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Xml)

BuildRequires: pkgconfig(phonon4qt5)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5WidgetsAddons)

BuildRequires: cmake(KF5Kipi)
BuildRequires: cmake(KF5KDcraw)
BuildRequires: cmake(KF5KFace)
BuildRequires: cmake(KF5KGeoMap)

%description
A photo album tool. Focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.kphotoalbum.*.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.kphotoalbum.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.kphotoalbum-import.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.kphotoalbum.open-raw.desktop


%post
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null

%files -f %{name}.lang
%doc ChangeLog README
%license COPYING*
%config(noreplace) %{_kf5_sysconfdir}/xdg/kphotoalbumrc
%{_kf5_bindir}/kpa-backup.sh
%{_kf5_bindir}/kphotoalbum
%{_kf5_bindir}/open-raw.pl
%{_kf5_datadir}/kphotoalbum/
%{_kf5_datadir}/kxmlgui5/kphotoalbum/
%{_kf5_metainfodir}/org.kde.kphotoalbum.*.xml
%{_kf5_datadir}/applications/org.kde.kphotoalbum.desktop
%{_kf5_datadir}/applications/org.kde.kphotoalbum-import.desktop
%{_kf5_datadir}/applications/org.kde.kphotoalbum.open-raw.desktop
%{_kf5_datadir}/icons/hicolor/*/*/*
%lang(de) %{_kf5_docdir}/HTML/de/kphotoalbum/
%lang(en) %{_kf5_docdir}/HTML/en/kphotoalbum/
%lang(fr) %{_kf5_docdir}/HTML/fr/kphotoalbum/
%lang(it) %{_kf5_docdir}/HTML/it/kphotoalbum/
%lang(nl) %{_kf5_docdir}/HTML/nl/kphotoalbum/
%lang(pt) %{_kf5_docdir}/HTML/pt/kphotoalbum/
%lang(pt_BR) %{_kf5_docdir}/HTML/pt_BR/kphotoalbum/
%lang(sv) %{_kf5_docdir}/HTML/sv/kphotoalbum/
%lang(uk) %{_kf5_docdir}/HTML/uk/kphotoalbum/


%changelog
* Mon Feb 20 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.1-1
- 5.1 (kf5-based)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 07 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.7.2-1
- 4.7.2

* Fri Apr 22 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.7.1-2
- disable libkface f25+ (#1246056)

* Sat Mar 05 2016 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 13 2015 Rex Dieter <rdieter@fedoraproject.org> 4.6.2-1
- 4.6.2

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 4.6.1-4
- rebuild (exiv2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 19 2015 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-2
- drop (unused) marble dep (using libkgeomap now instead), use kde_runtime_requires macro

* Wed Apr 15 2015 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Wed Dec 10 2014 Rex Dieter <rdieter@fedoraproject.org> 4.5-4
- rebuild (marble)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 06 2014 Rex Dieter <rdieter@fedoraproject.org> 4.5-2
- rebuild (kde-4.14)

* Wed Jul 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.5-1
- kphotoalbum-4.5
- trim changelog
- update License
- improve scriptlets

* Mon Jul 14 2014 Rex Dieter <rdieter@fedoraproject.org> 4.4-9
- rebuild (marble)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Rex Dieter <rdieter@fedoraproject.org> 4.4-7
- rebuild (kde-4.13)

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.4-6
- rebuild (exiv2)

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> 4.4-5
- rebuild (kde-4.12)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> 4.4-3
- rebuild (marble)

* Thu Jun 27 2013 Rex Dieter <rdieter@fedoraproject.org> 4.4-2
- rebuild (libkipi)

* Wed Feb 20 2013 Rex Dieter <rdieter@fedoraproject.org> 4.4-1
- 4.4

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 4.3-3
- rebuild due to "jpeg8-ABI" feature drop

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.3-2
- respin libkipi2 patch

* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.3-1
- 4.3 final
- include experimental libkipi2 support
- patch out info/warnings wrt mplayer
- default to KGlobalSettings::picturesPath instead of hard-coded ~/Images

* Fri Sep 21 2012 Rex Dieter <rdieter@fedoraproject.org> 4.3-0.1.beta1
- kphotoalbum-4.3-beta1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 29 2012 Rex Dieter <rdieter@fedoraproject.org> 4.2-3
- rebuild (kde-4.9beta)

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.2-2
- rebuild (exiv2)

* Sun Apr 01 2012 Rex Dieter <rdieter@fedoraproject.org> 4.2-1
- 4.2

* Sat Mar 10 2012 Rex Dieter <rdieter@fedoraproject.org> 4.2-0.1.rc2
- 4.2-rc2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-14
- rebuild (marble)

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-13
- rebuild (exiv2)

* Sat Sep 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-12
- BR: marble-devel

* Fri Jul 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-11
- rebuild (libkdcraw,marble)
- adjust to pkgconfig-style deps

* Wed Jun 15 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-10
- rebuild (marble)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-8
- rebuild (exiv2)

* Tue Nov 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-7
- rebuild

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-6 
- rebuild (exiv2)
- docbook fix (for kde-4.5.x)

* Wed Feb 10 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-5
- touchup marble deps

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-4
- use %%{_kde4_version}

* Mon Jan 03 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-3
- rebuild (exiv2)

* Wed Nov 18 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-1
- kphotoalbum-4.1.1

* Sun Oct 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1-1
- kphotoalbum-4.1

* Wed Jul 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-1
- kphotoalbum-4.0.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0.1-1
- kphotoalbum-4.0.1

* Tue May 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0-1
- kphotoalbum-4.0 (final)

* Mon Mar 09 2009 Rex Dieter <rdieter@fedoraproject.org> -  3.2-0.10.20090308
- kphotoalbum-20090308 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-0.9.20090211svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.8.20090211svn
- kphotoalbum-2009-02-11 snapshot
- enable marble integration

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.7.20081007svn
- BR: libkipi-devel >= 0.3.0

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.6.20081007svn 
- respin (exiv2)

* Tue Dec 03 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.5.20081007svn
- respin (kdegraphics)
- BR: soprano-devel

* Wed Oct 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.4.20081007svn
- respin (kdegraphics)

* Mon Oct 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.2-0.3.20081007svn
- new snapshot (20081007svn)
- use create_tarball.rb (includes translations)
- build against latest kdegraphics
- fix typos in description

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.2.20080929svn
- respin against newer kdegraphics
- kphotoalbum-20080929svn snapshot

* Sat Aug 02 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.1.20080802svn
- kphotoalbum-20080802svn snapshot

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-3 
- respin for exiv2

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-2
- respin

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-1
- kphotoalbum-3.1.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.1.0-2
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.1.0-1
- kphotoalbum-3.1.0

* Tue Nov 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-7
- respin for exiv2-0.16

* Sun Aug 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-6
- desktop file patch (make MimeType=... end with ;)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-5
- fix %%check

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-3
- specfile cosmetics
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-2
- License: GPLv2+

* Thu Apr 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-1
- kphotoalbum-3.0.2

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.1-1
- kphotoalbum-3.0.1

* Sun Dec 31 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0-1
- kphotoalbum-3.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-7
- BR: exiv2-devel >= 0.12

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-6
- respin
- drop deprecated Provides: kimdaba

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-5
- BR: exiv2-devel >= 0.11

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-4
- fc6 respin

* Sat Jun 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-3
- respin against exiv2-0.10

* Thu May 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-2
- (temporarily) add Provides: kimdaba = %%version

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-1
- renamed kphotoalbum

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-6
- relative symlinks
- simplify configure

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-2
- icon/mime spec

* Tue May 3 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-1
- real-deal 2.1 release (including -i18n bits)

* Mon May 2 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-0
- 2.1 (pre) release

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.fdr.1
- 2.0

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.1-0.fdr.0
- first try

